
Foreman - Refactor #29474

Tracker # 24837 (Closed): Rails 6.0 Tracker

remove :on from save/update/create/destroy callbacks

04/05/2020 11:57 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7567

  

Description

Looks like they were silently ignored previously but raise an error in rails 6: https://github.com/rails/rails/pull/30919

Associated revisions

Revision c12d8a8e - 04/05/2020 02:22 PM - Tomer Brisker

Fixes #29474 - remove :on from save callbacks

This was silently ignored, and will fail in rails 6. Changing the

callbacks to the correct ones intended according to the :on option.

History

#1 - 04/06/2020 03:01 AM - Tomer Brisker

- Status changed from New to Closed

Applied in changeset c12d8a8e2952de297d593d76981a47c867b682c7.

#2 - 04/06/2020 07:15 AM - The Foreman Bot

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/7567 added

#3 - 05/17/2020 01:57 PM - Tomer Brisker

- Fixed in Releases 2.1.0 added
